Paycose Docs
Webhook (Receiver)
POST/webhooks/external/{provider}/{webhook_credential_id}

Listen From External

Adjacent to gateway-inbound; used when provider sends direct.

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/webhooks/external/{{provider}}/{{webhook_credential_id}}' \
  -d '{
  "note": "provider-specific body"
}'

Body

NameTypeValue
notestringprovider-specific body
{
  "note": "provider-specific body"
}

Responses

00

Headers

NameValue
Content-Typeapplication/json

Body

{
  "location": "<string>",
  "object": "<string>",
  "message": "<string>",
  "code": 0,
  "key": "<string>",
  "i18n_key": "<string>",
  "provider": "<string>",
  "provider_code": "<string>",
  "param": "<string>",
  "request_id": "<string>",
  "reason": "<string>"
}
401401 Unauthorized

Headers

NameValue
Content-Typeapplication/json

Body

{
  "location": "<string>",
  "object": "<string>",
  "message": "<string>",
  "code": 0,
  "key": "<string>",
  "i18n_key": "<string>",
  "provider": "<string>",
  "provider_code": "<string>",
  "param": "<string>",
  "request_id": "<string>",
  "reason": "<string>"
}
404404 Not Found

Headers

NameValue
Content-Typeapplication/json

Body

{
  "location": "<string>",
  "object": "<string>",
  "message": "<string>",
  "code": 0,
  "key": "<string>",
  "i18n_key": "<string>",
  "provider": "<string>",
  "provider_code": "<string>",
  "param": "<string>",
  "request_id": "<string>",
  "reason": "<string>"
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "location": "<string>",
  "object": "<string>",
  "message": "<string>",
  "code": 0,
  "key": "<string>",
  "i18n_key": "<string>",
  "provider": "<string>",
  "provider_code": "<string>",
  "param": "<string>",
  "request_id": "<string>",
  "reason": "<string>"
}
503503 Service Unavailable

Headers

NameValue
Content-Typeapplication/json

Body

{
  "location": "<string>",
  "object": "<string>",
  "message": "<string>",
  "code": 0,
  "key": "<string>",
  "i18n_key": "<string>",
  "provider": "<string>",
  "provider_code": "<string>",
  "param": "<string>",
  "request_id": "<string>",
  "reason": "<string>"
}

On this page